/**
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 *  Authors:
 *  2004-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl>
 *
 */

#ifndef INTERNAL_VERIFY_PROXY_CERTINFO
# define INTERNAL_VERIFY_PROXY_CERTINFO

/* Adds a GT3 old-style proxy extension to the list of known extensions */
int init_GT3_proxy_extension(void);

/* Adds an RFC proxy extension to the list of known extensions */
int init_RFC_proxy_extension(void);

/* Sets the item reference for the proxy certificate info to RFC-type */
void set_gt3_pci_type_rfc(void);

/* Sets the item reference for the proxy certificate info to GT3-type */
void set_gt3_pci_type_gt3(void);
#endif
